Subject: [MMUSIC] RFC3388 Same IP Address and Port Number question

From: "Ingemar Johansson S" <[email-masked]>
Date: Wed, 20 Feb 2008 12:57:31 +0100

Hi

Section 7.5.3 in RFC3388 states the following

"
   If several codecs have to be sent to the same IP address and port,
   the traditional SDP syntax of listing several codecs in the same "m"
   line MUST be used.  FID MUST NOT be used to group "m" lines with the
   same IP address/port.  Therefore, an SDP like the one below MUST NOT
   be generated.
"
I don't find any reason given in this statement, could somebody please explain?.

Regards
Ingemar
*******************************************
Ingemar Johansson
Senior Research Engineer, IETF "nethead"
EAB/TVP - Multimedia Technologies
  Ericsson Research Ericsson AB
  Box 920 S-971 28 Luleå, Sweden
Tel: +46 (0)8 4043042
ECN: 850-43042
ECC: 850-43074
Mobile: +46 (0)730 783289
*******************************************

_______________________________________________
mmusic mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/mmusic

---

From: Rémi Denis-Courmont <[email-masked]>
Date: Wed, 20 Feb 2008 14:20:33 +0200

Le Wednesday 20 February 2008 13:57:31 ext Ingemar Johansson S, vous avez 
écrit :
> I don't find any reason given in this statement, could somebody please
> explain?

RTP sessions are identified by the source and destination IP addresses and 
port tuples. RTP sessions are NOT identified by the RTP payload type field.

Therefore, it would be impossible for an RTP receiver to identify which RTP 
session incoming packets belong to, if it assigned the same port number and 
IP address to multiple m= lines.

-- 
Rémi Denis-Courmont

---

From: "Christer Holmberg" <[email-masked]>
Date: Wed, 20 Feb 2008 15:23:26 +0100

Hi, 

>>"If several codecs have to be sent to the same IP address 
>>and port, the traditional SDP syntax of listing several codecs in 
>>the same "m" line MUST be used.  FID MUST NOT be used to group "m" 
>>lines with the same IP address/port.  Therefore, an SDP like the one 
>>below MUST NOT be generated."
>>I don't find any reason given in this statement, could 
>>somebody please explain?
> 
>RTP sessions are identified by the source and destination IP 
>addresses and port tuples. RTP sessions are NOT identified by 
>the RTP payload type field.
> 
>Therefore, it would be impossible for an RTP receiver to 
>identify which RTP session incoming packets belong to, if it 
>assigned the same port number and IP address to multiple m= lines.

Maybe the text in 3377 is a little unclear.

I think it is allowed to have the same IP address (multiple m- lines below a single c- line will have that), as long as the port numbers are different for each m- line.

Regards,

Christer